## node-webfont 11.4.0%2Bdfsg2%2B~cs35.7.26

=== debian/changelog ===
node-webfont (11.4.0+dfsg2+~cs35.7.26-7ubuntu1) lunar; urgency=medium

  * Strip -Bsymbolic-functions to fix build on Ubuntu

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 02 Apr 2023 13:12:53 -0400

node-webfont (11.4.0+dfsg2+~cs35.7.26-7) unstable; urgency=medium

  * Add Testsuite header to d/control (thanks Paul Gevers for spotting
    this omission)
  * Remove Pirate from Uploaders

 -- Julian Gilbey <jdg@debian.org>  Sun, 19 Feb 2023 09:29:54 +0000

node-webfont (11.4.0+dfsg2+~cs35.7.26-6) unstable; urgency=medium

  * Skip autopkgtests on armel (test is strangely flaky and increasing
    timeout did not help), ppc64el and s390x (wawoff2 fails on those
    architectures)
  * Add README.Debian explaining that wawoff2 does not work on ppc64el and
    s390x

 -- Julian Gilbey <jdg@debian.org>  Thu, 16 Feb 2023 20:53:57 +0000

node-webfont (11.4.0+dfsg2+~cs35.7.26-5) unstable; urgency=medium

  * Increase test timeout because some tests fail on armel

 -- Julian Gilbey <jdg@debian.org>  Tue, 14 Feb 2023 22:28:14 +0000

node-webfont (11.4.0+dfsg2+~cs35.7.26-4) unstable; urgency=medium

  * Correct webfont manpage and --help output; two short options did not
    match the implementation

 -- Julian Gilbey <jdg@debian.org>  Tue, 14 Feb 2023 10:12:48 +0000

node-webfont (11.4.0+dfsg2+~cs35.7.26-3) unstable; urgency=medium

  * Fix varstream copyright information
  * Add svgicons2svgfont command

 -- Julian Gilbey <jdg@debian.org>  Sun, 12 Feb 2023 17:13:14 +0000

node-webfont (11.4.0+dfsg2+~cs35.7.26-2) unstable; urgency=medium

  * Source-only upload

 -- Julian Gilbey <jdg@debian.org>  Sun, 05 Feb 2023 21:05:36 +0000

node-webfont (11.4.0+dfsg2+~cs35.7.26-1) unstable; urgency=medium

  [ Pirate Praveen ]
  * Initial packaging work

  [ Julian Gilbey ]
  * Initial release (Closes: #1026800)

 -- Julian Gilbey <jdg@debian.org>  Sun, 05 Feb 2023 07:59:37 +0000

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_LDFLAGS_MAINT_STRIP = -Wl,-Bsymbolic-functions

%:
	dh $@

# This font is available in EOT, SVG, WOFF and WOFF2 formats
FONTAWESOME = /usr/share/fonts-font-awesome/fonts/fontawesome-webfont
NODEJSDIR = debian/node-webfont/usr/share/nodejs

# Note that all of these are removed in debian/clean
execute_before_dh_auto_build:
	ln -s $(FONTAWESOME).ttf is-ttf/pixel.ttf
	ln -s $(FONTAWESOME).woff is-ttf/pixel.woff
	ln -s $(FONTAWESOME).eot is-ttf/pixel.eot
	ln -s $(FONTAWESOME).eot is-eot/fontawesome-webfont.eot
	ln -s $(FONTAWESOME).woff is-eot/fontawesome-webfont.woff
	ln -s $(FONTAWESOME).ttf is-eot/fontawesome-webfont.ttf
	mkdir is-woff/fixture
	ln -s $(FONTAWESOME).woff is-woff/fixture/fontawesome-webfont.woff
	ln -s $(FONTAWESOME).woff2 is-woff/fixture/fontawesome-webfont.woff2
	mkdir is-woff2/test/fixture
	ln -s $(FONTAWESOME).woff is-woff2/test/fixture/fixture.woff
	ln -s $(FONTAWESOME).woff2 is-woff2/test/fixture/fixture.woff2
	mkdir wawoff2/test/fixtures
	ln -s $(FONTAWESOME).ttf wawoff2/test/fixtures/sample.ttf

	# Build the wawoff2 module
	cd wawoff2/src && make -f Makefile.Debian
	# Need to remove this build directory or rollup -c complains
	rm -rf wawoff2-build

execute_after_dh_auto_install:
	rm -f $(NODEJSDIR)/varstream/index.html

execute_before_dh_installman:
	chmod +x $(NODEJSDIR)/webfont/dist/cli.js
	help2man -N -n 'Convert a set of SVG files into a webfont in various formats' $(NODEJSDIR)/webfont/dist/cli.js > debian/webfont.1
	perl -i -pe 's/cli\.js/webfont/; s/CLI\.JS/WEBFONT/' debian/webfont.1

	chmod +x $(NODEJSDIR)/svgicons2svgfont/bin/svgicons2svgfont.js
	help2man -N -n 'Convert a set of SVG files into an SVG font' $(NODEJSDIR)/svgicons2svgfont/bin/svgicons2svgfont.js > debian/svgicons2svgfont.1
	perl -i -pe 's/svgicons2svgfont\.js/svgicons2svgfont/; s/SVGICONS2SVGFONT\.JS/SVGICONS2SVGFONT/' debian/svgicons2svgfont.1

override_dh_fixperms:
	dh_fixperms
	chmod +x $(NODEJSDIR)/webfont/dist/cli.js \
	    $(NODEJSDIR)/svgicons2svgfont/bin/*.js \
	    $(NODEJSDIR)/varstream/cli/*.js \
	    $(NODEJSDIR)/fast-xml-parser/cli.js \
	    $(NODEJSDIR)/ttf2eot/ttf2eot.js \
	    $(NODEJSDIR)/ttf2woff/ttf2woff.js \
	    $(NODEJSDIR)/wawoff2/bin/woff2_*.js
	chmod -x $(NODEJSDIR)/varstream/compare/*

override_dh_installdocs:
	dh_installdocs
	dh_nodejs_autodocs
	# debian/nodejs/docs overrides the automatic behaviour rather
	# than adding onto it, so we install extra documentation
	# manually
	install -m 644 fast-xml-parser/docs/* debian/node-webfont/usr/share/doc/node-fast-xml-parser/
	install -m 644 varstream/index.html debian/node-webfont/usr/share/doc/node-varstream/
	install -m 644 debian/node-webfont.README.Debian debian/node-webfont/usr/share/doc/node-wawoff2/

## node-webfont 11.4.0+dfsg2+~cs35.7.26

=== CMakeLists.txt ===
# Copyright 2017 Igalia S.L. All Rights Reserved.
#
# Distributed under MIT license.
# See file LICENSE for detail or copy at https://opensource.org/licenses/MIT

# Ubuntu 12.04 LTS has CMake 2.8.7, and is an important target since
# several CI services, such as Travis and Drone, use it.  Solaris 11
# has 2.8.6, and it's not difficult to support if you already have to
# support 2.8.7.
cmake_minimum_required(VERSION 2.8.6)

project(woff2)

include(GNUInstallDirs)

# Build options
option(BUILD_SHARED_LIBS "Build shared libraries" ON)
option(CANONICAL_PREFIXES "Canonical prefixes" OFF)
option(NOISY_LOGGING "Noisy logging" ON)

# Version information
set(WOFF2_VERSION 1.0.2)

# When building shared libraries it is important to set the correct rpath
# See https://cmake.org/Wiki/CMake_RPATH_handling#Always_full_RPATH
set(CMAKE_SKIP_BUILD_RPATH FALSE)
set(CMAKE_BUILD_WITH_INSTALL_RPATH FALSE)
set(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)
list(FIND CMAKE_PLATFORM_IMPLICIT_LINK_DIRECTORIES "${CMAKE_INSTALL_LIBDIR}" isSystemDir)
if ("${isSystemDir}" STREQUAL "-1")
  set(CMAKE_INSTALL_RPATH "${CMAKE_INSTALL_LIBDIR}")
endif()

# Find Brotli dependencies
set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")
find_package(BrotliDec)
if (NOT BROTLIDEC_FOUND)
    message(FATAL_ERROR "librotlidec is needed to build woff2.")
endif ()
find_package(BrotliEnc)
if (NOT BROTLIENC_FOUND)
    message(FATAL_ERROR "librotlienc is needed to build woff2.")
endif ()

# Set compiler flags
if (NOT CANONICAL_PREFIXES)
    add_definitions(-no-canonical-prefixes)
  endif ()
if (NOISY_LOGGING)
    add_definitions(-DFONT_COMPRESSION_BIN)
endif ()
add_definitions(-D__STDC_FORMAT_MACROS)
set(COMMON_FLAGS -fno-omit-frame-pointer)

if(${CMAKE_SYSTEM_NAME} MATCHES "Darwin")
    add_definitions(-DOS_MACOSX)
else ()
    set(COMMON_FLAGS "${COMMON_FLAG} -fno-omit-frame-pointer")
endif()

set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${COMMON_FLAG}")

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${COMMON_FLAG}")
set(CMAKE_CXX_STANDARD 11)

# Set search path for our private/public headers as well as Brotli headers
include_directories("src" "include"
                    "${BROTLIDEC_INCLUDE_DIRS}" "${BROTLIENC_INCLUDE_DIRS}")

# Common part used by decoder and encoder
add_library(woff2common
            src/table_tags.cc
            src/variable_length.cc
            src/woff2_common.cc)

# WOFF2 Decoder
add_library(woff2dec
            src/woff2_dec.cc
            src/woff2_out.cc)
target_link_libraries(woff2dec woff2common "${BROTLIDEC_LIBRARIES}")
add_executable(woff2_decompress src/woff2_decompress.cc)
target_link_libraries(woff2_decompress woff2dec)

# WOFF2 Encoder
add_library(woff2enc
            src/font.cc
            src/glyph.cc
            src/normalize.cc
            src/transform.cc
            src/woff2_enc.cc)
target_link_libraries(woff2enc woff2common "${BROTLIENC_LIBRARIES}")
add_executable(woff2_compress src/woff2_compress.cc)
target_link_libraries(woff2_compress woff2enc)

# WOFF2 info
add_executable(woff2_info src/woff2_info.cc)
target_link_libraries(woff2_info woff2common)

foreach(lib woff2common woff2dec woff2enc)
  set_target_properties(${lib} PROPERTIES
    SOVERSION ${WOFF2_VERSION}
    VERSION ${WOFF2_VERSION}
    POSITION_INDEPENDENT_CODE TRUE)
endforeach()

# Fuzzer libraries
add_library(convert_woff2ttf_fuzzer STATIC src/convert_woff2ttf_fuzzer.cc)
target_link_libraries(convert_woff2ttf_fuzzer woff2dec)
add_library(convert_woff2ttf_fuzzer_new_entry STATIC src/convert_woff2ttf_fuzzer_new_entry.cc)
target_link_libraries(convert_woff2ttf_fuzzer_new_entry woff2dec)

# PC files
include(CMakeParseArguments)

function(generate_pkg_config_path outvar path)
  string(LENGTH "${path}" path_length)

  set(path_args ${ARGV})
  list(REMOVE_AT path_args 0 1)
  list(LENGTH path_args path_args_remaining)

  set("${outvar}" "${path}")

  while(path_args_remaining GREATER 1)
    list(GET path_args 0 name)
    list(GET path_args 1 value)

    get_filename_component(value_full "${value}" ABSOLUTE)
    string(LENGTH "${value}" value_length)

    if(path_length EQUAL value_length AND path STREQUAL value)
      set("${outvar}" "\${${name}}")
      break()
    elseif(path_length GREATER value_length)
      # We might be in a subdirectory of the value, but we have to be
      # careful about a prefix matching but not being a subdirectory
      # (for example, /usr/lib64 is not a subdirectory of /usr/lib).
      # We'll do this by making sure the next character is a directory
      # separator.
      string(SUBSTRING "${path}" ${value_length} 1 sep)
      if(sep STREQUAL "/")
        string(SUBSTRING "${path}" 0 ${value_length} s)
        if(s STREQUAL value)
          string(SUBSTRING "${path}" "${value_length}" -1 suffix)
          set("${outvar}" "\${${name}}${suffix}")
          break()
        endif()
      endif()
    endif()

    list(REMOVE_AT path_args 0 1)
    list(LENGTH path_args path_args_remaining)
  endwhile()

  set("${outvar}" "${${outvar}}" PARENT_SCOPE)
endfunction(generate_pkg_config_path)

function(generate_pkg_config output_file)
  set (options)
  set (oneValueArgs NAME DESCRIPTION URL VERSION PREFIX LIBDIR INCLUDEDIR)
  set (multiValueArgs DEPENDS DEPENDS_PRIVATE CFLAGS LIBRARIES)
  cmake_parse_arguments(GEN_PKG "${options}" "${oneValueArgs}" "${multiValueArgs}" ${ARGN})
  unset (options)
  unset (oneValueArgs)
  unset (multiValueArgs)

  if(NOT GEN_PKG_PREFIX)
    set(GEN_PKG_PREFIX "${CMAKE_INSTALL_PREFIX}")
  endif()

  if(NOT GEN_PKG_LIBDIR)
    set(GEN_PKG_LIBDIR "${CMAKE_INSTALL_FULL_LIBDIR}")
  endif()
  generate_pkg_config_path(GEN_PKG_LIBDIR "${GEN_PKG_LIBDIR}"
    prefix "${GEN_PKG_PREFIX}")

  if(NOT GEN_PKG_INCLUDEDIR)
    set(GEN_PKG_INCLUDEDIR "${CMAKE_INSTALL_FULL_INCLUDEDIR}")
  endif()
  generate_pkg_config_path(GEN_PKG_INCLUDEDIR "${GEN_PKG_INCLUDEDIR}"
    prefix "${GEN_PKG_PREFIX}")

  file(WRITE  "${output_file}" "prefix=${GEN_PKG_PREFIX}\n")
  file(APPEND "${output_file}" "libdir=${GEN_PKG_LIBDIR}\n")
  file(APPEND "${output_file}" "includedir=${GEN_PKG_INCLUDEDIR}\n")
  file(APPEND "${output_file}" "\n")

  if(GEN_PKG_NAME)
    file(APPEND "${output_file}" "Name: ${GEN_PKG_NAME}\n")
  else()
    file(APPEND "${output_file}" "Name: ${CMAKE_PROJECT_NAME}\n")
  endif()

  if(GEN_PKG_DESCRIPTION)
    file(APPEND "${output_file}" "Description: ${GEN_PKG_DESCRIPTION}\n")
  endif()

  if(GEN_PKG_URL)
    file(APPEND "${output_file}" "URL: ${GEN_PKG_URL}\n")
  endif()

  if(GEN_PKG_VERSION)
    file(APPEND "${output_file}" "Version: ${GEN_PKG_VERSION}\n")
  endif()

  if(GEN_PKG_DEPENDS)
    file(APPEND "${output_file}" "Requires: ${GEN_PKG_DEPENDS}\n")
  endif()

  if(GEN_PKG_DEPENDS_PRIVATE)
    file(APPEND "${output_file}" "Requires.private:")
    foreach(lib ${GEN_PKG_DEPENDS_PRIVATE})
      file(APPEND "${output_file}" " ${lib}")
    endforeach()
    file(APPEND "${output_file}" "\n")
  endif()

  if(GEN_PKG_LIBRARIES)
    set(libs)

    file(APPEND "${output_file}" "Libs: -L\${libdir}")
    foreach(lib ${GEN_PKG_LIBRARIES})
      file(APPEND "${output_file}" " -l${lib}")
    endforeach()
    file(APPEND "${output_file}" "\n")
  endif()

  file(APPEND "${output_file}" "Cflags: -I\${includedir}")
  if(GEN_PKG_CFLAGS)
    foreach(cflag ${GEN_PKG_CFLAGS})
      file(APPEND "${output_file}" " ${cflag}")
    endforeach()
  endif()
  file(APPEND "${output_file}" "\n")
endfunction(generate_pkg_config)

generate_pkg_config ("${CMAKE_CURRENT_BINARY_DIR}/libwoff2common.pc"
  NAME libwoff2common
  DESCRIPTION "Shared data used by libwoff2 and libwoff2dec libraries"
  URL "https://github.com/google/woff2"
  VERSION "${WOFF2_VERSION}"
  LIBRARIES woff2common)

generate_pkg_config ("${CMAKE_CURRENT_BINARY_DIR}/libwoff2dec.pc"
  NAME libwoff2dec
  DESCRIPTION "WOFF2 decoder library"
  URL "https://github.com/google/woff2"
  VERSION "${WOFF2_VERSION}"
  DEPENDS libbrotlidec
  DEPENDS_PRIVATE libwoff2common
  LIBRARIES woff2dec)

generate_pkg_config ("${CMAKE_CURRENT_BINARY_DIR}/libwoff2enc.pc"
  NAME libwoff2enc
  DESCRIPTION "WOFF2 encoder library"
  URL "https://github.com/google/woff2"
  VERSION "${WOFF2_VERSION}"
  DEPENDS libbrotlienc
  DEPENDS_PRIVATE libwoff2common
  LIBRARIES woff2enc)

# Installation
if (NOT BUILD_SHARED_LIBS)
  install(
    TARGETS woff2_decompress woff2_compress woff2_info
    RUNTIME DESTINATION "${CMAKE_INSTALL_BINDIR}"
  )
endif()

install(
  TARGETS woff2common woff2dec woff2enc
  ARCHIVE DESTINATION "${CMAKE_INSTALL_LIBDIR}"
  LIBRARY DESTINATION "${CMAKE_INSTALL_LIBDIR}"
  RUNTIME DESTINATION "${CMAKE_INSTALL_BINDIR}"
)
install(
  DIRECTORY include/woff2
  DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}"
)
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/libwoff2common.pc"
  DESTINATION "${CMAKE_INSTALL_LIBDIR}/pkgconfig")
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/libwoff2dec.pc"
  DESTINATION "${CMAKE_INSTALL_LIBDIR}/pkgconfig")
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/libwoff2enc.pc"
  DESTINATION "${CMAKE_INSTALL_LIBDIR}/pkgconfig")

=== src/Makefile ===
CARGS=--bind -s NODEJS_CATCH_REJECTION=0 -s NODEJS_CATCH_EXIT=0 -s ALLOW_MEMORY_GROWTH=1 -s SINGLE_FILE=1 -O3
FIXTURES=/src/wawoff2/test/fixtures

all:
	mkdir -p /src/wawoff2/build

	emcc $(CARGS) -I/src/woff2/include/ \
	  -o /src/wawoff2/build/compress_binding.js \
	  /src/wawoff2/src/compress_binding.cc \
	  /src/build/woff2-wasm/libwoff2enc.a \
	  /src/build/woff2-wasm/libwoff2common.a \
	  /src/build/brotli-wasm/libbrotlienc.a \
	  /src/build/brotli-wasm/libbrotlicommon.a

	emcc $(CARGS) -I/src/woff2/include/ \
	  -o /src/wawoff2/build/decompress_binding.js \
	  /src/wawoff2/src/decompress_binding.cc \
	  /src/build/woff2-wasm/libwoff2dec.a \
	  /src/build/woff2-wasm/libwoff2common.a \
	  /src/build/brotli-wasm/libbrotlidec.a \
	  /src/build/brotli-wasm/libbrotlicommon.a

	/src/build/woff2-native/woff2_compress $(FIXTURES)/sample.ttf
	mv $(FIXTURES)/sample.woff2 $(FIXTURES)/sample_compressed.woff2

	/src/build/woff2-native/woff2_decompress $(FIXTURES)/sample_compressed.woff2
	mv $(FIXTURES)/sample_compressed.ttf $(FIXTURES)/sample_decompressed.ttf

=== debian/changelog ===
node-webfont (11.4.0+dfsg2+~cs35.7.26-14) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * Disable lto to fix build of wawoff2. Closes: #1109746

  [ Jérémy Lal ]
  * wawoff2 patch for gcc15. Closes: #1114232
  * Allow rebuild with -nc
  * Update watch file

 -- Jérémy Lal <kapouer@melix.org>  Sat, 04 Oct 2025 12:28:51 +0200

node-webfont (11.4.0+dfsg2+~cs35.7.26-13) unstable; urgency=medium

  * Disable svgicons2svgfont and wawoff2 build-time test except on amd64;
    it breaks on i386, in spite of the top-level tests working there
    (closes: #1103127)
  * Add README.Debian to node-svgicons2svgfont
  * Add @rollup/plugin-node-resolve to rollup config

 -- Julian Gilbey <jdg@debian.org>  Wed, 16 Apr 2025 21:58:14 +0100

node-webfont (11.4.0+dfsg2+~cs35.7.26-12) unstable; urgency=medium

  * Skip tests on riscv64, where emscripten is broken

 -- Julian Gilbey <jdg@debian.org>  Tue, 11 Mar 2025 07:25:38 +0000

node-webfont (11.4.0+dfsg2+~cs35.7.26-11) unstable; urgency=medium

  * B-D emscripten >= 3.1.69~. (Closes: #1084309)

 -- Jérémy Lal <kapouer@melix.org>  Fri, 14 Feb 2025 22:10:26 +0100

node-webfont (11.4.0+dfsg2+~cs35.7.26-10) unstable; urgency=medium

  * Remove hardening flags unsupported by current emscripten version
    (closes: #1054699)

 -- Julian Gilbey <jdg@debian.org>  Wed, 29 Nov 2023 18:37:55 +0000

node-webfont (11.4.0+dfsg2+~cs35.7.26-9) unstable; urgency=medium

  * Disable -Wl,-Bsymbolic-functions to enable Ubuntu build to succeed
  * Add missing test-time dependency

 -- Julian Gilbey <jdg@debian.org>  Wed, 16 Aug 2023 21:04:58 +0100

node-webfont (11.4.0+dfsg2+~cs35.7.26-8) unstable; urgency=medium

  * Team upload

  [ Julian Gilbey ]
  * Delete generated file during clean

  [ Yadd ]
  * Update clean (Closes: #1047611)

 -- Yadd <yadd@debian.org>  Mon, 14 Aug 2023 09:04:22 +0400

=== debian/control ===
Source: node-webfont
Section: javascript
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Julian Gilbey <jdg@debian.org>
Build-Depends:
 debhelper-compat (= 13)
 , dh-sequence-nodejs
 , node-rollup-plugin-typescript
 , node-tslib
 , node-types-node
 , node-svg2ttf
 , node-cosmiconfig (>= 5.2.0)
 , node-deepmerge (>= 4.2.2)
 , node-globby (>= 11.0.0)
 , node-meow
 , node-nunjucks (>= 3.2.3)
 , node-p-limit (>= 3.1.0)
 , node-parse-json (>= 5.2.0)
 , node-resolve-from (>= 5.0.0)
 , rollup
 , node-rollup-plugin-commonjs
 , node-rollup-plugin-node-resolve
 , node-rollup-plugin-terser
 , node-rimraf
 , node-jest-types
# , node-svgicons2svgfont (>= 10.0.3)
 , node-commander
 , node-glob
 , node-sax
# , node-ttf2eot (>= 2.0.0)
 , node-argparse
# , node-ttf2woff (>= 2.0.2)
# , node-wawoff2 (>= 2.0.0)
 , node-xml2js (>= 0.4.23)
# for ttf2woff
 , node-pako
# for neatequal
# for varstream
 , node-readable-stream
# for fast-xml-parser
 , node-babel-loader
# for tests
 , node-jasmine
 , mocha
 , chai
 , node-streamtest
 , fonts-font-awesome
 , jest
 , ts-node
# for building wawoff2
 , emscripten (>= 3.1.69~)
 , cmake
# for manpage
 , help2man
# for running tests; somehow this is needed
 , node-fast-json-stable-stringify
Build-Conflicts: node-webfont
Standards-Version: 4.7.2
Homepage: https://github.com/itgalaxy/webfont
Vcs-Git: https://salsa.debian.org/js-team/node-webfont.git
Vcs-Browser: https://salsa.debian.org/js-team/node-webfont
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-nodejs

Package: node-webfont
Architecture: all
Depends:
 ${misc:Depends}
 , nodejs:any
 , node-cosmiconfig (>= 5.2.0)
 , node-deepmerge (>= 4.2.2)
 , node-globby (>= 11.0.0)
 , node-meow
 , node-nunjucks (>= 3.2.3)
 , node-p-limit (>= 3.1.0)
 , node-parse-json (>= 5.2.0)
 , node-resolve-from (>= 5.0.0)
 , node-svg2ttf (>= 6.0.2)
# , node-ttf2eot (>= 2.0.0)
 , node-argparse
# , node-ttf2woff (>= 2.0.2)
# , node-wawoff2 (>= 2.0.0)
 , node-xml2js (>= 0.4.23)
# for svgicons2svgfont
# , node-neatequal
 , node-commander
 , node-glob
 , node-sax
# for neatequal
# , node-varstream
# for node-varstream
 , node-readable-stream
# for ttf2woff
 , node-pako
Provides: ${nodejs:Provides}
Description: Generate fonts from SVG icons
 Webfont converts sets of SVG files into an icon font, in any of the
 formats: woff2, woff, eot, ttf and svg.  These can then be used in a
 browser.  It has both a Node.js interface and a simple command-line
 interface (webfont).

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,7 @@
 #export DH_VERBOSE=1
 
 export DEB_LDFLAGS_MAINT_STRIP = -Wl,-Bsymbolic-functions
+export DEB_BUILD_MAINT_OPTIONS=hardening=-branch
 
 %:
 	dh $@
@@ -15,20 +16,20 @@
 
 # Note that all of these are removed in debian/clean
 execute_before_dh_auto_build:
-	ln -s $(FONTAWESOME).ttf is-ttf/pixel.ttf
-	ln -s $(FONTAWESOME).woff is-ttf/pixel.woff
-	ln -s $(FONTAWESOME).eot is-ttf/pixel.eot
-	ln -s $(FONTAWESOME).eot is-eot/fontawesome-webfont.eot
-	ln -s $(FONTAWESOME).woff is-eot/fontawesome-webfont.woff
-	ln -s $(FONTAWESOME).ttf is-eot/fontawesome-webfont.ttf
-	mkdir is-woff/fixture
-	ln -s $(FONTAWESOME).woff is-woff/fixture/fontawesome-webfont.woff
-	ln -s $(FONTAWESOME).woff2 is-woff/fixture/fontawesome-webfont.woff2
-	mkdir is-woff2/test/fixture
-	ln -s $(FONTAWESOME).woff is-woff2/test/fixture/fixture.woff
-	ln -s $(FONTAWESOME).woff2 is-woff2/test/fixture/fixture.woff2
-	mkdir wawoff2/test/fixtures
-	ln -s $(FONTAWESOME).ttf wawoff2/test/fixtures/sample.ttf
+	ln -sf $(FONTAWESOME).ttf is-ttf/pixel.ttf
+	ln -sf $(FONTAWESOME).woff is-ttf/pixel.woff
+	ln -sf $(FONTAWESOME).eot is-ttf/pixel.eot
+	ln -sf $(FONTAWESOME).eot is-eot/fontawesome-webfont.eot
+	ln -sf $(FONTAWESOME).woff is-eot/fontawesome-webfont.woff
+	ln -sf $(FONTAWESOME).ttf is-eot/fontawesome-webfont.ttf
+	mkdir -p is-woff/fixture
+	ln -sf $(FONTAWESOME).woff is-woff/fixture/fontawesome-webfont.woff
+	ln -sf $(FONTAWESOME).woff2 is-woff/fixture/fontawesome-webfont.woff2
+	mkdir -p is-woff2/test/fixture
+	ln -sf $(FONTAWESOME).woff is-woff2/test/fixture/fixture.woff
+	ln -sf $(FONTAWESOME).woff2 is-woff2/test/fixture/fixture.woff2
+	mkdir -p wawoff2/test/fixtures
+	ln -sf $(FONTAWESOME).ttf wawoff2/test/fixtures/sample.ttf
 
 	# Build the wawoff2 module
 	cd wawoff2/src && make -f Makefile.Debian
@@ -66,4 +67,5 @@
 	# manually
 	install -m 644 fast-xml-parser/docs/* debian/node-webfont/usr/share/doc/node-fast-xml-parser/
 	install -m 644 varstream/index.html debian/node-webfont/usr/share/doc/node-varstream/
-	install -m 644 debian/node-webfont.README.Debian debian/node-webfont/usr/share/doc/node-wawoff2/
+	install -m 644 debian/node-wawoff2.README.Debian debian/node-webfont/usr/share/doc/node-wawoff2/README.Debian
+	install -m 644 debian/node-svgicons2svgfont.README.Debian debian/node-webfont/usr/share/doc/node-svgicons2svgfont/README.Debian

=== debian/watch ===
Version: 5

Version-Schema: checksum
# Note that some components are not downloaded using this watchfile:
# * is-eot, is-ttf: these are both downloaded from GitHub manually, as
#   the GitHub site includes test suites but does not have version
#   tagging
# * fast-xml-parser: we need version 3.x of the module
# * woff2: the latest GitHub version has not been tagged, so we use
#   the HEAD commit rather than the last released version.
Template: Github
Owner: itgalaxy
Project: webfont
Repack: yes
Repacksuffix: +dfsg

Component: svgicons2svgfont
Template: Github
Ctype: nodejs
Dversionmangle: auto
Owner: nfroidure
Project: svgicons2svgfont

Component: svg-pathdata
Template: Github
Ctype: nodejs
Dversionmangle: auto
Owner: nfroidure
Project: svg-pathdata
Repack: yes

Component: ttf2eot
Template: Github
Ctype: nodejs
Dversionmangle: auto
Owner: fontello
Project: ttf2eot

Component: ttf2woff
Template: Github
Ctype: nodejs
Dversionmangle: auto
Owner: fontello
Project: ttf2woff

Component: wawoff2
Template: Github
Ctype: nodejs
Dversionmangle: auto
Owner: fontello
Project: wawoff2

# The GitHub site does not have any tags, so we manually pack the GitHub
# version, as that includes test files; this is version 0.2.2 of is-ttf.
# opts="searchmode=plain,component=is-ttf,ctype=nodejs,pgpmode=none,filenamemangle=s/^.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-is-ttf-$1/" \
#  https://registry.npmjs.org/is-ttf https://registry.npmjs.org/is-ttf/-/is-ttf-([\d\.]+)@ARCHIVE_EXT@ checksum
# The GitHub site does not have any tags, so we use npmjs.org to track
# this.
Component: b3b
Template: Npmregistry
Ctype: nodejs
Dist: b3b

# The GitHub site does not have any tags, so we manually pack the GitHub
# version, as that includes test files; this is version 1.0.0 of is-eot.
# opts="searchmode=plain,component=is-eot,ctype=nodejs,pgpmode=none,filenamemangle=s/^.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-is-eot-$1/" \
#  https://registry.npmjs.org/is-eot https://registry.npmjs.org/is-eot/-/is-eot-([\d\.]+)@ARCHIVE_EXT@ checksum
Component: is-svg
Template: Github
Ctype: nodejs
Dversionmangle: auto
Owner: sindresorhus
Project: is-svg

# We have a static version of this, as is-svg cannot handle the
# current version (4.x).
# opts=\
# component=fast-xml-parser,\
# ctype=nodejs,\
# dversionmangle=auto,\
# filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-fast-xml-parser-$1/ \
#  https://github.com/NaturalIntelligence/fast-xml-parser/tags .*/archive.*/v?([\d\.]+).tar.gz checksum
# The GitHub site does not have any tags, so we use npmjs.org to track
# this.
Component: strnum
Template: Npmregistry
Ctype: nodejs
Dist: strnum

Component: is-woff
Template: Github
Ctype: nodejs
Dversionmangle: auto
Owner: junmer
Project: is-woff

Component: is-woff2
Template: Github
Ctype: nodejs
Dversionmangle: auto
Owner: arthurvr
Project: is-woff2

Component: neatequal
Template: Github
Ctype: nodejs
Dversionmangle: auto
Owner: nfroidure
Project: neatequal

Component: varstream
Template: Github
Ctype: nodejs
